basic = require("lib.basic")
tutel = require("lib.tutel")

function excavate(depth, width, height)
    -- secureDigging loop
    for h = 1, height do
        -- secureDigging a layer
        for w = 1, width do
            -- secureDigging a row
            for d = 1, depth-1 do
                tutel.secureDig() -- secureDigging forward
                turtle.forward() -- Moving forward
            end
            --move to start of row
            for d = 1, depth-1 do
                turtle.back()
            end
            
            -- go to next row if not last row
            if w<width then
                turtle.turnRight()
                tutel.secureDig()
                turtle.forward()
                turtle.turnLeft()
            end
        end
        
        --move to start of layer
        turtle.turnRight()
        for w = 1, width do
            turtle.back()
        end
        turtle.turnLeft()
        
        --go to next layer if not last layer
        if h<height then
            tutel.secureDigUp()
            turtle.up()
        end
    end

    --go to start pos
    for h=1, height do
        turtle.down()
    end
end


basic.clearDisplay()
print("[secureDigs a Quader]")
write("depth: ")
depth = tonumber(read())
write("width: ")
width = tonumber(read())
write("height: ")
height = tonumber(read())
basic.clearDisplay()

excavate(depth, width, height)